Bug 366131 - With two NIC's, dhclient can't addres for both NIC's
With two NIC's, dhclient can't addres for both NIC's
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
8
i686 Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 16:02 EST by Larry Dillon
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-08 20:36:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry Dillon 2007-11-04 16:02:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.8) Gecko/20071030 Fedora/2.0.0.8-2.fc8 Firefox/2.0.0.8

Description of problem:
On a machine with two NIC's, both assigned addresses via DHCP, one interface cannot get an address:

[root@localhost ~]# service network restart
Shutting down interface eth0:                              [  OK  ]
Shutting down interface eth1:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  
Determining IP information for eth0...dhclient(26102) is already running - exiting. 
This version of ISC DHCP is based on the release available
on ftp.isc.org.  Features have been added and other changes
have been made to the base software release in order to make
it work better with this distribution.
Please report for this software via the Red Hat Bugzilla site:
    http://bugzilla.redhat.com
exiting.
 failed.
                                                           [FAILED]


Version-Release number of selected component (if applicable):
dhclient-3.0.6-10.fc8

How reproducible:
Always


Steps to Reproduce:
1.Given a computer with two NIC's, both assigned via DHCP
2.on boot up or restarting the network
3.one interface fails to get an address
4.  (works fine on FreeBSD)

Actual Results:
Only one interface is assigned an address

Expected Results:
Both interfaces should be assigned unique address

Additional info:
Manually assigning an IP works fine.  

Linux localhost.localdomain 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:55:12 EDT 2007 i686 athlon i386 GNU/Linux

e1000                 111877  0 
via_rhine              23753  0
Comment 1 Larry Dillon 2007-11-08 20:36:21 EST
Works OK in Fedora 8 (final released version)
I can't say if this was fixed or was just a problem in the Live iso.

Note You need to log in before you can comment on or make changes to this bug.